aagc.vo

## Class ElencoAssistibiliPianoECareRequest

- java.lang.Object
- - aagc.vo.ElencoAssistibiliPianoECareRequest

-     public class ElencoAssistibiliPianoECareRequest
      extends java.lang.Object

  Classe Java per elencoAssistibiliPianoECareRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="elencoAssistibiliPianoECareRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="aslRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceRegionale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="10"/>
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `aslRiferimento`
    `protected java.lang.String` | `codiceRegionale`
    `protected java.lang.String` | `dataRiferimento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoAssistibiliPianoECareRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAslRiferimento()` Recupera il valore della proprietà aslRiferimento.
    `java.lang.String` | `getCodiceRegionale()` Recupera il valore della proprietà codiceRegionale.
    `java.lang.String` | `getDataRiferimento()` Recupera il valore della proprietà dataRiferimento.
    `void` | `setAslRiferimento(java.lang.String value)` Imposta il valore della proprietà aslRiferimento.
    `void` | `setCodiceRegionale(java.lang.String value)` Imposta il valore della proprietà codiceRegionale.
    `void` | `setDataRiferimento(java.lang.String value)` Imposta il valore della proprietà dataRiferimento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aslRiferimento

          protected java.lang.String aslRiferimento

    - #### codiceRegionale

          protected java.lang.String codiceRegionale

    - #### dataRiferimento

          protected java.lang.String dataRiferimento

  - ### Constructor Detail

    - #### ElencoAssistibiliPianoECareRequest

          public ElencoAssistibiliPianoECareRequest()

  - ### Method Detail

    - #### getAslRiferimento

          public java.lang.String getAslRiferimento()

      Recupera il valore della proprietà aslRiferimento.
      Returns:
        possible object is `String`

    - #### setAslRiferimento

          public void setAslRiferimento(java.lang.String value)

      Imposta il valore della proprietà aslRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceRegionale

          public java.lang.String getCodiceRegionale()

      Recupera il valore della proprietà codiceRegionale.
      Returns:
        possible object is `String`

    - #### setCodiceRegionale

          public void setCodiceRegionale(java.lang.String value)

      Imposta il valore della proprietà codiceRegionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRiferimento

          public java.lang.String getDataRiferimento()

      Recupera il valore della proprietà dataRiferimento.
      Returns:
        possible object is `String`

    - #### setDataRiferimento

          public void setDataRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataRiferimento.
      Parameters:
        `value` - allowed object is `String`